package com.ss.android.ugc.aweme.services;

import X.0CB;
import X.0CH;
import X.2Pr;
import X.6Is;
import X.C0311Jza;
import X.C4939Ls2;
import X.JzZ;
import X.M12;
import android.app.Activity;
import android.os.Bundle;
import com.bytedance.covode.number.Covode;

public class BaseVerificationService implements 6Is, JzZ {
    static {
        Covode.recordClassIndex(105026);
    }

    public void checkUserVerifiedStatus(Activity activity, String str, Bundle bundle, C4939Ls2<2Pr> ls2) {
        M12.LIZ((Object) activity);
    }

    public String getPhoneCountryCode() {
        return "";
    }

    public boolean isHighRiskPhone(String str) {
        return false;
    }

    public void notifyCheckUserComplete() {
    }

    public void onStateChanged(0CH r1, 0CB r2) {
    }

    public boolean shouldAlertHighRiskPhone() {
        return false;
    }

    public void verifyCredential(C0311Jza jza) {
        M12.LIZ((Object) jza);
    }
}
